* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

body {
    background-image: url("https://cdn.computerhoy.com/sites/navi.axelspringer.es/public/styles/855/public/media/image/2020/02/cuentos-terramar-1873593.jpg?itok=BeiC0irq");
    background-size: cover;
}

nav {
    height: 80px;
    width: flex;
  }
  
  nav ul {
    float: none;
    margin-right: 0px;
    background-color: none;
  }
  
 nav ul li{
    display: inline-block;
    line-height: 3;
    margin: 0px;
    justify-content:center;
    margin-left: 20%;
    float: none;
    position:relative;
    color: #6F4E5E;
    font-size: 18px;
  } 

  nav ul li:hover > ul{
    display: block;
  }

  h1 {
    background-color: #E7AC3E;
    font-size: 60px;
    font-family: 'Sanchez', Cambria;
    margin: 0px;
    text-align: center;
    color: #40343D;
    padding: 1%;
  }

 nav img {
    width: 8%;
    position: absolute; 
    top: 1%;
    left: 5%;
} 

#windowFilm {
  display: flex;
  flex-wrap: wrap;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 80px;
  justify-content: space-around;
  grid-auto-rows: minmax(50px, 320px);
  padding-top: 3%;
  padding-left: 5%;
  padding-right: 5%;
}

#windowPeople {
  display: flex;
  flex-wrap: wrap;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 10px;
  justify-content: space-between;
  grid-auto-rows: minmax(100px, auto);
  padding-top: 8%;
  padding-right: 5%;
  padding-left: 5%;
}

#windowLocations {
  display: flex;
  flex-wrap: wrap;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 10px;
  justify-content: space-between;
  grid-auto-rows: minmax(100px, auto);
  padding-top: 8%;
  padding-right: 5%;
  padding-left: 5%;
 
}
#personajes, #ubicaciones, #films{
  border-radius: 15px;
  padding: 10%, 25%, 10%, 25%; 
  width: 120px;
  height: 40px;
  background-color: #E7AC3E;
  }

  .filter {
    border-radius: 15px;
    text-align: center;
    margin: 20px;
  }
  
.contenedorCardPeople, .contenedorCarFilm, .containerCardLocations{
  display: flex;
  height: 200px;
  width: 140px;
  margin:auto;
  margin-bottom: 50px;
  position: relative;
}

 #divCardFilm, #divCardPeople, #divCardLocation{
  height: 100%;
  width: 100%;
  position: relative;
  transform-style: preserve-3d;
  transition: 0s;
  flex-direction: column;
}

#divCardPeople:hover{
 transform: rotateY(180deg);
}

#divCardFilm:hover{
  transform: rotateY(180deg);
}

#divCardLocation:hover{
  transform: rotateY(180deg);
}

.box1, .box2, .box3{
  width:100%;
  height:100%;
}

#imgPosterFilm{
  width: 100%;
  height: 100%;
  border-radius: 20px
}

#imgPosterPeople{
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 20px
}

#imgPosterLocations{
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 20px
}
.frontCard, .backCard{
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  position: absolute;
  border-radius: 20px;
}

.backCard1, .frontCard1{
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  position: absolute;
  border-radius: 20px;
}

.backCard2, .frontCard2{
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  position: absolute;
  border-radius: 20px;
}
.frontCard, .frontCard1, .frontCard2{ 
  justify-content: center;
  text-align: center;
  font-family: Cambria;
}

.backCard, .backCard1, .backCard2{
  background:#f3b94c;
  transform: rotateY(180deg);
  align-items: center;
  display: flex;
  justify-content: center;
  float: left;
  text-align: center;
  font-size: 0.875em;
  font-family: Cambria;
}

footer{
  display: flex;
  justify-content: center;
  background-color: #FFF2D9;
  font-family: Cambria;
  height: 50px;
  text-align: center;
  margin: 0%;
  flex-direction: row;
  flex-wrap: wrap;
}

#filterFilms, #filterPeople{
  padding-top: 7%;
  padding-left: 32%;
}